#ifndef _PS2_KEYBOARD_H
#define _PS2_KEYBOARD_H

#include <types.h>

typedef enum {
  KEY_NONE = 0,
  KEY_ARROW_UP = 0xAA0,
  KEY_ARROW_DOWN,
  KEY_ARROW_LEFT,
  KEY_ARROW_RIGHT,
  /* Note: add more special keys here */
} special_key;

void keyboard_init(void);
void keyboard_handler(void);

char get_char(void);
uint16_t get_key(void);
char* get_string(void);

#endif
