#ifndef _PROCESSES_H
#define _PROCESSES_H

#include <types.h>
#include <drivers/elf.h>


typedef struct process {
  int32_t id;
  int32_t group;
  
  elf_executable_t* exe;
  
  struct process* next;
} process_t;

int32_t make_process(char* name, char* group, elf_executable_t* exe);

#endif
