
#include <math/software_float.h>


/* A float = FLOAT_SIGN * FLOAT_MANTISSA * (2 ^ FLOAT_EXPONENT) */




soft_float32_t decode_float(uint32_t raw)
{
  soft_float32_t f;
  f.sign = (raw >> 31) & 1;
  f.exponent = (raw >> 23) & 0xFF;
  f.mantissa = raw & 0x7FFFFF;
  return f;
}
